httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Felt <mamf...@gmail.com>
Subject Re: ./configure differences between 2.2.x and 2.4.x
Date Wed, 27 Aug 2014 13:53:20 GMT
FYI - building and loading all modules in 2.4.x gives a very similar test
result. i.e., loading more modules meant getting more errors. Now that I am
finally getting to the point that I understand a bit of this I might even
start digging for causes. First I want to get PHP builds improved - now
that httpd is stable and consistent.

Well, second PHP - first is my vacation!! Have a great release!


On Tue, Aug 26, 2014 at 2:00 AM, William A. Rowe Jr. <wrowe@rowe-clan.net>
wrote:

> And I still intend to answer your underlying question :)  Many of the
> elections are about availability, but others are about the experimental
> nature of a module in one release vs another, or legal complications, e.g.
> SSL.
>
>
> Michael Felt <mamfelt@gmail.com> wrote:
>
> I remember that there are differences, by design.
>
> I guess I should not do these tests after midnight - as I just saw that I
> had commented out the --enable-load-all-modules. You had already shared
> this wisdom!
>
> My apologies. :(
>
>
>
>
> On Thu, Aug 21, 2014 at 8:29 PM, William A. Rowe Jr. <wrowe@rowe-clan.net>
> wrote:
>
>> On Fri, 8 Aug 2014 10:55:17 +0200
>> Michael Felt <mamfelt@gmail.com> wrote:
>>
>> > *Please excuse my laziness* - because I am sure there is a way to get
>> > all modules activated in both 2.2.X and 2.4.X - only that they are
>> > slightly different - and I am sure you have documented it somewhere
>> > (and even mentioned it (that there are differences such as ...) in
>> > passing in previous replies)
>> >
>> > For 2.2.X I use:
>> >  $ ./configure CFLAGS=-O2 --enable-layout=AIX
>> > --with-apr=/opt/bin/apr-1-config --with-apr-util=/opt/bin/apu-1-config
>> > --with-mpm=worker --enable-ssl --enable-mods-shared=all
>> >
>> > But this does not seem to get the mod_proxy, and likely other, mods
>> > built.
>>
>> We will not be changing the behavior of ./configure in 2.2 - users who
>> are picking up these critical fixes expect their previous ./config.nice
>> to do the same thing it did last time.
>>
>> > For 2.4.X I use:
>> >   $ ./configure --enable-layout=AIX --with-apr=/opt/bin/apr-1-config
>> > --with-apr-util=/opt/bin/apu-1-config --enable-mpms-shared=all
>> > --enable-mods-shared=all --enable-load-all-modules --disable-lua
>> >
>> > (Note: the --enable-load-all-modules is there for testing)
>> >
>> > Apparently, my assumption that --enable-mods-shared=all would get all
>> > mods built and ready for LoadModule is incorrect.
>>
>> True, there are legacy/testing mods that aren't built.  But the behavior
>> of most, all etc was significantly revised to better meet expectations
>> with the 2.4 release.  This version also should have no significant
>> changes to ./configure behavior, the next release (2.6, or 3.0) would
>> be the place for continued improvement.
>>
>>
>

Mime
View raw message